if m_simpleTV.user==nil then m_simpleTV.user={} end
if m_simpleTV.user.inetcom==nil then m_simpleTV.user.inetcom={} end

--!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

m_simpleTV.user.inetcom.State=m_simpleTV.Config.GetConfigInt(m_simpleTV.Defines.ID_EXT_INETCOM_STATE)

--!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

if m_simpleTV.user.inetcom.init == true then return end

if not string.match(package.path,'user\\inetcom\\core' , 0)  then
	package.path = package.path .. ';' .. m_simpleTV.MainScriptDir .. 'user\\inetcom\\core\\?.lua'
end

require('inetcomcore')
m_simpleTV.user.inetcom.init = true

if m_simpleTV.user.inetcom.State~=1 then 
    m_simpleTV.user.inetcom.login=nil
	m_simpleTV.user.inetcom.pass=nil
	return
end

m_simpleTV.user.inetcom.login=m_simpleTV.Config.GetConfigString(m_simpleTV.Defines.ID_EXT_INETCOM_LOGIN)
m_simpleTV.user.inetcom.pass=m_simpleTV.Config.GetConfigString(m_simpleTV.Defines.ID_EXT_INETCOM_PASS)

if m_simpleTV.user.inetcom.login~=nil and string.len (m_simpleTV.user.inetcom.login)==0  then
    m_simpleTV.user.inetcom.login=nil
end

if m_simpleTV.user.inetcom.pass~=nil and string.len (m_simpleTV.user.inetcom.pass)==0  then
    m_simpleTV.user.inetcom.pass=nil
end


